<?php 
function fecha($formato_input, $formato_output, $fecha_str) {
	/*#20260731: Nótese la genialidad, ahora se ingresa el formato_input, y así el usuario programador no 
	//           tiene que ponerse a ADIVINAR en qué formato viene, sólo lo caracteriza y listo. Y siempre que 
	//           introduzca una fecha lo hace así. El reto de la actual función es facilitar dichos parámetros.		
	//           ##Versión anterior:
						function fecha($formato_input, $cual_fecha) {
							$cual_fecha = UTF8toASCII($cadena=$s);
							$f = Fecha::formato($formato, $this->$cual_fecha); //-->forma antigua, mal concebida
						}
				  La nueva versión:
					-supone que la fecha ingresa de una vez ya como fecha 
						function fecha($formato_input, $formato_output, $fecha_str) {
							$fecha = Fecha::formato($formato_input, $formato_output, $fecha_str);		
							return $fecha;
						}
	*/	
	$cual_fecha = UTF8toASCII($cadena=$fecha_str);					
	require_once(__DIR__ . "/fecha_paradigma_antiguo/fecha.php");
	$fecha = Fecha::formato($formato_input, $formato_output, $fecha_str);		
	return $fecha;
} //Fin de fecha